# -*- coding: utf-8 -*-
"""
Created on Mon Nov 13 11:00:23 2023

@author: s168562
"""

# Packages
import numpy as np
import matplotlib.pyplot as plt
import os
import pandas as pd

# Input
outpathfull = r"C:\Users\s168562\OneDrive - TU Eindhoven\PhD\7_LCN-GR gripper manuscript\Data\Profilometer\ZK-LCN50-G31-35"
# sample = "LH-GN24-2000g-dowanol" # sample name as will be added to output
filepath = r"C:\Users\s168562\OneDrive - TU Eindhoven\PhD\7_LCN-GR gripper manuscript\Data\Profilometer\ZK-LCN50-G31-35" # r to escape the backslashes
filename = "Point1&4.csv"

# Plot preliminaries
plt.style.use('default') # default, ggplot, seaborn-*, dark_background, fivethirtyeight
plt.rcParams['font.size'] = 8 # set plot font size matplotlib
cm = 1/2.54  # convert centimeters to inches
cbPalVivid_correctorder = ["#999999", "#AF1B3F", "#F4A698", "#262626", "#6BAA75", "#255C99", "#7EA3CC"]
cbPalVivid = ["#999999", "#AF1B3F", "#F4A698", "#255C99", "#7EA3CC", "#262626", "#6BAA75"]
TUred = "#C81919"

if not os.path.exists(outpathfull):
    os.makedirs(outpathfull)

# Read data
fullpath = os.path.join(filepath,filename)
df = pd.read_csv(fullpath, skiprows = 23, sep=",", decimal= ".", header = None,
                 usecols = [0,1])   
df.columns = ["lateral", "height"]

# Plot
plt.figure(figsize= [5.5*cm, 3.8*cm])
ax = plt.axes()
plt.plot(df['lateral'], df["height"]/1000, color = "black") # TUred
# plt.xscale('log')
ax.tick_params(axis="both",direction="in", left="off",labelleft="on", right = "on",
               top = "on")
# ax.set_xticks([10, 100, 1000, 10000])
# ax.set_xlim(1900, 4100)
ax.set_xlim(-100, 1600)
ax.set_ylim(-100, 1600)
# for axis in [ax.xaxis, ax.yaxis]:
#     axis.set_major_formatter(ScalarFormatter())
ax.set_facecolor("white")
plt.xlabel(r'X [$\mathrm{\mu}$m]')
plt.ylabel(r'Height [$\mathrm{\mu}$m]') # r'Probability'
figurepath_pdf = os.path.join(outpathfull, "HeightProfile.pdf")
figurepath_tiff = os.path.join(outpathfull, "Heightprofile.tiff")
plt.savefig(figurepath_tiff, dpi = 300, bbox_inches='tight', transparent = True)
plt.savefig(figurepath_pdf, dpi = 300, bbox_inches='tight', transparent = True)
plt.show()